For the complete documentation index, see llms.txt. This page is also available as Markdown.

Withdrawals

Request withdrawal.

post
/v1/withdrawals

Initiate a withdrawal.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-Request-IdstringOptional

A unique 'Reference Number' for each incoming withdrawal request. Any retries will retain the same x-request-Id value.

Body
accountIdstring · uuidRequiredExample: 757a15e6-0b3c-44d6-9e60-f76c1dc35f34
currencystringRequiredExample: USD
quantitystringRequired

The quantity to withdraw

Example: 100.00
clientMemostring · nullableOptional

Optional memo or note for the withdrawal

Responses
200

Successful response

application/json
post/v1/withdrawals
POST /api/v1/withdrawals HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1071

{
  "accountId": "757a15e6-0b3c-44d6-9e60-f76c1dc35f34",
  "currency": "USD",
  "quantity": "100.00",
  "bankAccount": {
    "bankAccountId": "123e4567-e89b-12d3-a456-426614174000",
    "bankAccountInformation": {
      "beneficiaryType": "INDIVIDUAL",
      "currency": "USD",
      "beneficiaryAddress": {
        "addressLine1": "text",
        "addressLine2": "text",
        "city": "text",
        "region": "text",
        "postalCode": "text",
        "country": "text"
      },
      "beneficiaryBankName": "text",
      "beneficiaryBankAddress": {
        "addressLine1": "text",
        "addressLine2": "text",
        "city": "text",
        "region": "text",
        "postalCode": "text",
        "country": "text"
      },
      "beneficiaryBankBic": "text",
      "routingCode": "text",
      "beneficiaryAccountNumber": "text",
      "beneficiaryBankMemo": "text",
      "intermediaryBankName": "text",
      "intermediaryBankAddress": {
        "addressLine1": "text",
        "addressLine2": "text",
        "city": "text",
        "region": "text",
        "postalCode": "text",
        "country": "text"
      },
      "intermediaryBankBic": "text",
      "intermediaryAccountNumber": "text",
      "beneficiaryGivenNames": "text",
      "beneficiarySurnames": "text",
      "beneficiaryLegalName": "text"
    },
    "status": "PENDING",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "statusReason": "text"
  },
  "clientMemo": "text"
}
{
  "transactionType": "WITHDRAWAL",
  "transactionStatus": "PROCESSING",
  "withdrawalId": "757a15e6-0b3c-44d6-9e60-f76c1dc35f34",
  "customerId": "757a15e6-0b3c-44d6-9e60-f76c1dc35f34",
  "accountId": "757a15e6-0b3c-44d6-9e60-f76c1dc35f34",
  "withdrawalCurrency": "text",
  "netWithdrawalQuantity": "100.00",
  "withdrawalFeeType": "FIXED",
  "withdrawalFeeRate": "100.00",
  "withdrawalFeeQuantity": "100.00",
  "withdrawalFeeCurrency": "text",
  "memo": "text",
  "txHash": "text",
  "clientMemo": "text",
  "grossWithdrawalQuantity": "100.00",
  "requestedAt": "2026-01-01T00:00:00.000Z",
  "completedAt": "2026-01-01T00:00:00.000Z"
}

Last updated